Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp.attribute
Class PKIArchiveOptionRegControl

`java.lang.Object
oracle.security.crypto.cert.AttributeTypeAndValue
oracle.security.crypto.cmp.attribute.RegistrationControl
oracle.security.crypto.cmp.attribute.PKIArchiveOptionRegControl`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

Direct Known Subclasses:
  ArchiveRemGenPrivKeyArchOpt, EncryptedPrivKeyArchOpt, KeyGenParamsArchOpt

public abstract class PKIArchiveOptionRegControl
extends RegistrationControl

CRMF base class for private key archive option registration controls.

Field Summary

Fields inherited from class oracle.security.crypto.cmp.attribute.RegistrationControl
`decoded, encoded`

Constructor Summary
`protected` | `PKIArchiveOptionRegControl()` To be invoked by subclass constructors.

Method Summary
`static PKIArchiveOptionRegControl` | `inputArchiveOption(java.io.InputStream is)`

Methods inherited from class oracle.security.crypto.cmp.attribute.RegistrationControl
`decodeValue, encodeValue, input, inputInstance, length, output, setValue`

Methods inherited from class oracle.security.crypto.cert.AttributeTypeAndValue
`getType, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIArchiveOptionRegControl

    protected PKIArchiveOptionRegControl()

  To be invoked by subclass constructors.

Method Detail

### inputArchiveOption

    public static PKIArchiveOptionRegControl inputArchiveOption(java.io.InputStream is)
                                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.